function [F] = Fns(x)
global shadowMin

% Min vol and max of stresses
F = zeros(2,1);

E = 29e3; % ksi
L = 60; % ft.

A1 = x(1); A2 = x(2); A3 = x(3); xpos = x(4); % design variables
t = x(5); a = x(6);
u = x(7); y = x(8);
maxstress = x(9);

F(1) = (A1/sin(t) + A2 + A3/sin(a))*(L/144); % Volume of design in cu. ft.  
F(2) = (1e-2)*maxstress; % Maximum of bar stresses (ksi)
F = F - shadowMin ;
